Support » Plugin: FA Lite - WP responsive slider plugin » Error with PHP 7.2

  • Resolved jamminjames

    (@jamminjames)


    We just upgraded to PHP 7.2 for security reasons, and are getting this error when we hit the ‘Select Slides’ button:

    ArgumentCountError thrown
    
    Too few arguments to function sgpb\Filters::editPopupPreviewLink(), 1 passed in /var/www/humortimes/wp-includes/class-wp-hook.php on line 286 and exactly 2 expected

    Please update the code. Thanks!

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author CodeFlavors

    (@codeflavors)

    Sorry for the delay. Regarding the error you are seeing, this is not related to our plugin, it is triggered by something else. We tested our plugin on a clean installation and everything is OK.

    One thing you could do is deactivate your other plugins one by one and see if the error gets solved. Otherwise, it will need debugging in order to determine the exact cause of this.

    jamminjames

    (@jamminjames)

    Thanks for the reply. For some reason, it just stopped happening, so we’re good!

    jamminjames

    (@jamminjames)

    Oops, now it’s happening again. Can you give me a hint as to how to try to debug this particular error?

    jamminjames

    (@jamminjames)

    Also, was the install machine you tested it on running PHP 7?

    Lastly, I notice the plugin hasn’t been updated for a couple years. Just curious, do you folks plan on updating it anytime soon?

    Plugin Author CodeFlavors

    (@codeflavors)

    Hi,

    Yes, the machine that the plugin was tested on has PHP 7 installed on it. Have you tested the plugin on a clean WP installation?
    As I mentioned before, deactivating plugins one by one and checking if the problem gets solved might point into the right direction. If this is not an option, maybe you could grant me temporary WP admin/FTP access so I can debug directly on your server.

    Regarding plugin updates, yes, there are plans for evolving this plugin to the next version.

    jamminjames

    (@jamminjames)

    Okay, found the conflicting plugin, it’s Popup Builder. I asked them about in their support forum. Thanks!

    Plugin Author CodeFlavors

    (@codeflavors)

    My pleasure, happy to be of help. If there’s anything else I can help you with please let me know.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.